Subject: PMP> Printer MIB Working Group mtg. in Boulder

From: Harry Lewis <[email-masked]>
Date: Mon, 27 Oct 1997 16:58:06 -0500

My opinion...

1. We've waited WAY too long for hrMIB changes. If the only reason they are
starting back up is for us... tell them to forget it, don't waste their time...
my proposal is a much better solution in that we gain control of our destiny...
something we should have done a LONG time ago!

2. The proposed improvement, addresses function which is CORE BROKEN and
appears to have support from within our community. Stalling, now, for the same
old reason... "walking on IETF egg shells" will get us nowhere.

3. Any face-to-face PWG meeting will inevitable exclude the parties who could
not attend. Are there people who can say they would have come to Boulder had
they known there was an active PMP topic but did not come because there wasn't?
If there are interested parties, willing to meet, why not take advantage of
this? Decision still require e-mail reflector time and review.
What's the problem having a meeting in Boulder if the people here want to?

If someone objects to my proposal on merit please recommend the alternative. If
someone objects on the basis that it is too disruptive to current  prototypes
of the current Printer MIB, please indicate so. I can accept these as valid
criticism. I have a real hard time accepting the fact the hrMIB MIGHT take a
look at our problem or the IETF might or might not approve the activity as a
valid reason to stall.

Harry Lewis - IBM Printing Systems

---------------------- Forwarded by Harry Lewis/Boulder/IBM on 10/27/97 02:38 PM
 ---------------------------

[email-masked] on 10/27/97 12:19:57 PM
Please respond to [email-masked] @ internet
To: [email-masked] @ internet
cc:
Subject: PMP> Printer MIB Working Group mtg. in Boulder

There will not be a Printer MIB working group meeting in Boulder.
We will address the Error Status Reporting issue via the mailing
list and potentially a conference call if required. The only
Printer MIB activity on the agenda is a 15 minute update on the
status of the Printer MIB that was requested by one person.
Because several Printer MIB working group participants will not
be in Boulder, I will give you a written update. The HR MIB working
group should be starting up in the next week or so to move the
HR MIB to Draft Standard. BTW, the HR MIB Working Group activity
is only occurring because of our requirement. The request to add
our new definitions to the previously reserved bits to
hrPrinterDetectedErrorState has been forwarded to the HR MIB
Working Group chairman. We will need to withdraw that request
if we decide to go a different route to address error reporting.
With regards to moving the Printer MIB to Draft Standard, our
Area Directors have taken a hard line stand that a MIB cannot be
advanced from Proposed to Draft if any new function has been added
to a MIB, deletion of function is the only acceptable change.
Based on this position, the best thing for us to do to move forward
is to submit the new Printer MIB as a Proposed Standard. If we still
want to go to Draft Standard, wait until the HR MIB goes to Draft and
then quickly submit the new Printer MIB as a Draft Standard as well.

------------------------------------------------------------
Lloyd Young                       Lexmark International, Inc.
Senior Program Manager            Dept. C14L/Bldg. 035-3
Strategic Alliances               740 New Circle Road NW
internet: [email-masked]     Lexington, KY 40550
Phone: (606) 232-5150             Fax: (606) 232-6740

---

From: Bob Pentecost <[email-masked]>
Date: Mon, 27 Oct 1997 15:10:47 -0700

Lloyd,

> then quickly submit the new Printer MIB as a Draft Standard as well.

Are you suggesting that we submit the new Printer MIB as a Proposed Standard and then, if Draft Standard status is desired, submit the new Printer MIB as Draft Standard after the HR MIB goes to Draft Standard? If so, is there a time delay required for the Printer MIB to stay at the Proposed Standard level (that might prevent us from moving to Draft Standard to immediately follow the HR MIB)?

Bob

----------
From:  [email-masked][SMTP:[email-masked]]
Sent:  Monday, October 27, 1997 12:15 PM
To:  [email-masked]
Subject:  PMP> Printer MIB Working Group mtg. in Boulder

---

From: Harry Lewis <[email-masked]>
Date: Tue, 28 Oct 1997 00:39:34 -0500

I don't mean to be argumentative, but when I hear reasoning like...

>'Chris and I believe that if we make NO changes to
>the new Printer MIB after being at Proposed then we have an excellent
>opportunity to bypass the six month wait. A big part of the reasoning
>is that we have made few changes to the new Printer MIB from RFC 1759
>and have considerable interoperability testing on implementations of
>RFC 1759.'

...I can't help but think that we are misinterpreting IETF policy and missing
the whole intent of interoperability testing. I can't believe the IETF would
actually enforce a policy which results in a knowledgeable and active body,
such as ourselves, to "drag our feet" on developing refinements, especially
when they are in direct response to the interoperability testing which the IETF
requires!

I know the reasoning cited is well intended. Lloyd has had a difficult job
trying to guide the Printer MIB to it's next level and I can sympathize with
wanting to bring that to successful completion (i.e. don't rock the boat!). I
have been convinced, however, since I witnessed the IETF response to the job
MIB and our inability to extend an obviously extendable octet string in the
hrMIB that it's more a matter of loosening the straight jacket so we can ROW in
a meaningful direction!

Harry

------ Forwarded by Harry Lewis/Boulder/IBM on 10/27/97 10:12 PM -----

[email-masked] on 10/27/97 03:54:35 PM
Please respond to [email-masked] @ internet
To: [email-masked] @ internet
cc:
Subject: RE: PMP> Printer MIB Working Group mtg. in Boulder

Bob,
You are correct in what I am suggesting.

With regards to your question, the exact letter of the law says
that something must be at a Proposed Standard level for six months
before progressing to Draft Standard. However there are exceptions
to this rule and Chris and I believe that if we make NO changes to
the new Printer MIB after being at Proposed then we have an excellent
opportunity to bypass the six month wait. A big part of the reasoning
is that we have made few changes to the new Printer MIB from RFC 1759
and have considerable interoperability testing on implementations of
RFC 1759. If we go this route and our Area Directors do not find enough
justification to wave the six month wait period then they probably
would not have find enough justification to have accepted the new Printer
MIB as a Draft Standard now anyway and we would still have had to
recycle the new Printer MIB through Proposed anyway.
Lloyd
------------

[email-masked]
10/27/97 05:10 PM

To:   Lloyd Young@Lexmark
cc:   [email-masked]
bcc:
Subject:  RE: PMP> Printer MIB Working Group mtg. in Boulder

Lloyd,
> then quickly submit the new Printer MIB as a Draft Standard as well.
Are you suggesting that we submit the new Printer MIB as a Proposed
Standard and then, if Draft Standard status is desired, submit the new
Printer MIB as Draft Standard after the HR MIB goes to Draft Standard? If
so, is there a time delay required for the Printer MIB to stay at the
Proposed Standard level (that might prevent us from moving to Draft
Standard to immediately follow the HR MIB)?
Bob

---

From: Jay Martin <[email-masked]>
Date: Tue, 28 Oct 1997 00:49:10 -0500

I couldn't agree more with Harry.

Listen folks, things are getting very strange here.  At the very
least, the PWG--and not just the PMP--should discuss this situation
and learn how to cope with it.

The situation here is that several people have stood up and said
we should finally address a problem that should have been addressed
a long time ago.  One one person has put the brakes on this effort,
with no apparent backing from anyone else in the PMP group.

This situation is a precedent in the 4 year history of the PWG,
and it should be addressed by the group while the Boulder meetings
are in progress.  Carl-Uno has already stated that the schedule
change on Thursday is quite acceptable to him (as IPP chairman),
and so the 2-hour slot of 8:00-10:00am will be used for general
discussion in the PWG to determine how the group should handle
this kind of situation, both now and in the future.

It is perfectly understandable that Lloyd wants to resolve this
situation over the mailing list.  This is fine.  However, to
"refuse" discussion of this longstanding Printer MIB problem is,
quite frankly, unacceptable.  Since when has the PWG refused to
discuss a pertinent issue during its regularly scheduled meetings?

Drawing final consensus on the public mailing list is the proper
thing to do, but discussing key issues at our face-to-face meetings
has always been a very *critical* aspect of PWG operations from the
outset.

Frankly, the one thing that concerns some of us is that no one
has come out against the proposal, despite repeated public attempts
to draw out postings from the participants.  Historically, the PWG
(as well as *many* other DL-based standards groups) has considered
public silence as a sort of "silent acceptance" of the given
proposal.

If anyone out there--and I mean ANYONE--has an opinion on Harry's
proposal, please post your opinions on the PMP mailing list ASAP.

	...jay

----------------------------------------------------------------------
--  JK Martin               |  Email:   [email-masked]          --
--  Underscore, Inc.        |  Voice:   (603) 889-7000              --
--  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
--  Hudson, NH 03015-4915   |  Web:     http://www.underscore.com   --
----------------------------------------------------------------------

Subject: PMP> Printer MIB Working Group mtg. in Boulder
From: Harry Lewis <[email-masked]>
To: <[email-masked]>
Date: Mon, 27 Oct 1997 16:58:06 -0500

My opinion...

---

From: [email-masked] (Bill Wagner)
Date: Tue, 28 Oct 1997 15:40:16 -0500

All,
     
     I have been reading these messages with increasing concern. I will not 
     be at Boulder, so please interpret this statement as my proxy vote.
     
     Although the inconsistency and generally strange behavior of the 
     IETF/IESG area coordinators has confused things, it was my 
     understanding that the PMP had resolved two objectives v-v the printer 
     MIB:
     
        1. to take the MIB in RFC1759, with minor corrections and 
     elucidations and some remaining imperfections, to the draft standards 
     level.
     
        2. to take all of the great new ideas and better solutions and 
     start work on a printer MIB II, that we could expect to get out 
     formally in a year or so.
     
     This deferment of the big fixes reflected a belief that:
        
        a. to get virtually universal buy-in, you needed an RFC that was 
     not automatically obsoleted in two years (which, formally, RFC 1759 
     has)
     
        b. that the industry as a whole (including Microsoft) would not 
     fully support a proposed standard but would support a draft standard
     
        c. that by watching what we changed, we had a good chance of easily 
     getting to a draft standard
     
        d. that having a well accepted  although imperfect MIB that is 
     widely accepted is preferable to a perfect MIB that is narrowly 
     accepted.
     
     We did lose sight of this approach occasionally and, as Jay indicates, 
     he any others did try to get it back on track. We took too long and 
     perhaps we made too many changes. But, going to draft is what our 
     chairmen feel is still possible and desirable. This is, indeed their 
     charter.
     
     However, although (d) is still valid, I am seeing increasing buy-in to 
     RFC1759 on the part of "other" printer vendors and increasing evidence 
     that IESG does not understand and does not care about printer MIB's. 
     If these perceptions are correct, then we should might drop the 
     attempt to go to draft status with our current candidate, and start on 
     a PWG enterprise  Printer MIB II.

     With the slowly increasing buy-in to RFC1759, I suggest that the 
     appearance of multiple printer MIB's will be highly detremental. I 
     think it will be confusing and will slow down adaption. I think, since 
     we have been advertising it as our intent, going to a draft standard 
     with something that is a less drastic change from the original than 
     what we are presently working with would encourage wider adaption. In 
     retrospect, I strongly regret that we strayed from this objective to 
     clarify and formalize but not significantly change RFC1759.
     
     I would suggest that the group first decide if they want to pursue the 
     ultimate printer MIB. I would abstain.
     
     If yes, the group should decide is this is to be a standards track or  
     a PWG enterprise MIB. I would vote PWG enterprise.
     
     Now, what to do with the current MIB.
     
     I suggest the first consideration be in the degree of change. There 
     are four possibilities: submit nothing; submit just clarifications and 
     minor things (e.g., making alert time mandatory); submit what we have 
     now; or fix it up more. Dividing this into two votes, one would be no 
     or minimal change  versus substantive change. If substantive change is 
     selected, I would vote for the current draft versus adding anything 
     else.
     
     If minimal change is selected, the second vote would be for none or 
     clarification. I would vote that, if we are doing a MIB II, there be 
     minimal change to the current MIB. That means dropping some new 
     objects (including channel information) not because they are not 
     useful and desirable, but because they are not absolutely necessary in 
     the 80/20 consideration, they will cause confusion, most general apps 
     will not use them since the installed base will have a large 
     proportion of RFC1759 implementations, and because the real fixes are 
     in Printer MIB II. Indeed, I would volunteer to propose a modified 
     1759 update. (Of course, if the vote is to not do a MIB II, I would 
     suggest keeping the current draft as it is).

     Then the last consideration would be if the clarified RFC1759 be  
     submitted as a new proposed, as an informational, or as a draft 
     standard. I would vote the path that Lloyd suggested for dual 
     proposed/potential draft.

     In short,
      
     1. put all the real fixes in Printer MIB II, due out some time in the 
     future 
     
     2. provide help, clarifications, and perhaps minor  improvements, but 
     do not really mess with RFC1759. Maybe take it to draft status, maybe 
     a new proposed, maybe just an informational RFC to assist in 
     ambiguities. But avoid the impression that we are scrapping the whole 
     thing and starting over.
     
     Have fun!
     
     Bill Wagner

______________________________ Reply Separator _________________________________
Subject: Re: PMP> Printer MIB Working Group mtg. in Boulder
Author:  Jay Martin <[email-masked]> at Internet
Date:    10/28/97 1:07 AM

This is starting to get stranger by the moment.
     
Lloyd, you are now suggesting that the work the PMP has engaged in 
over the last two years be submitted as a *new* standard (which 
starts off as "Proposed" in the IETF standards track), and not 
submit it as the "Draft" form for RFC 1759, right?
     
I think this is the RIGHT thing to do.  (And we should be calling 
this new spec something like "Printer MIB II" to follow similar 
trends in other MIB-related efforts.)
     
However, given that, how is it that you are saying we avoid adding 
any new stuff to the spec, or significantly changing things that we 
(as a group) believe were broken in RFC 1759?  Isn't this something 
of a contradiction?
     
Again, I must point out that way back in the January 1996 meeting 
(in Miami) I publicly stated that we must immediately shutdown all 
attempts to add new objects to the MIB, lest we run into trouble 
with the IETF.  Morever, we should immediately wrap up minor fixes 
to RFC 1759, then move on to "Printer MIB II".  When the group 
voted on my proposal, it was defeated.
     
That was almost TWO YEARS AGO.
     
Something is just not right here.  We really must discuss this 
situation while so many of the usual participants are currently 
gathered together at the Boulder meetings.  The PWG has a long and 
positive history with regard to quickly dealing with problems 
(more importantly, avoiding them in the first place), and now is 
not the time to run into the mud.  Let's talk.
     
        ...jay

---

From: Harry Lewis <[email-masked]>
Date: Tue, 28 Oct 1997 15:35:47 -0500

Bill, thanks for describing your position... (small exceprt included)

>     ambiguities. But avoid the impression that we are scrapping the whole

Bill, I think there are choices between these two. I've expressed
disappointment, lately, with the IETF process as it has related to our MIBs,
but my proposal for prtDetectedErrors is really a fairly minor change
to RFC1759 which gives us a lot of leverage in terms of addressing
needs identified during interop testing. I would think this is EXACTLY
the sort of thing the IETF would expect, hope, want to happen on the way
from Proposed to Draft! Granted, it's happening late... that's because
all the while we thought it would happen in the hrMIB and it never has.

So, while my proposal may have triggered discussion which makes it appear we
need to search the depths of our charter... I think it can be taken at
face value as a very positive step.